
CoCoA-5 - Slug #480

gcd too slow for large degree univariate poly

18 Mar 2014 10:34 - John Abbott

Status: New Start date: 18 Mar 2014

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Cleaning Estimated time: 0.00 hour

Target version: CoCoA-5.?.? Spent time: 0.20 hour

Description

CoCoA-5 used more than 6Gbytes of memory while trying to compute gcd(f,x^(31^6)-x) in ZZ/(31)[x] where f := x^15 +x^14 +x^13

+x^12 -x^11 -x^10 -x^7 -x^6 -x^3 +x^2 +x +1

Why so much memory?  Was it using a dense representation?

Related issues:

Related to CoCoALib - Slug #129: Better GCD New 15 Apr 2012

Related to CoCoALib - Slug #952: GCD very slow Closed 25 Oct 2016

Related to CoCoALib - Feature #257: Transcribe C4 code for GCD in QQ[x] New 09 Oct 2012

History

#1 - 02 Apr 2014 17:34 - Anna Maria Bigatti

- Target version set to CoCoA-5.1.0 Easter14

#2 - 04 Apr 2014 14:32 - John Abbott

- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.?.?

#3 - 24 Nov 2016 13:20 - John Abbott

- Related to Slug #129: Better GCD added

#4 - 24 Nov 2016 13:20 - John Abbott

- Related to Slug #952: GCD very slow added

#5 - 24 Nov 2016 13:24 - John Abbott

- Related to Feature #257: Transcribe C4 code for GCD in QQ[x] added

#6 - 30 Oct 2019 22:44 - John Abbott

This slug still exists: on my current machine, top reports that CoCoA-5 is using 13Gbyte of memory.  The computation completed in about 131s.

No doubt it is using a dense repr.  Perhaps there should be special handling if there is a large disparity in degree?

The speed is not ideal, but the memory consumption is embarrassing.
